package nl.iobyte.themeparkconnector.api.message;

import nl.iobyte.themeparkconnector.ThemeParkConnector;
import nl.iobyte.themeparkconnector.api.config.enums.StorageLocation;
import org.bukkit.entity.Player;

public enum MessageKey {

    //Prefix
    PREFIX("prefix"),

    //Session
    CLIENT_UNABLE_TO_CONNECT("client.connect.unable"),
    CLIENT_GENERATE_TO_CONNECT("client.connect.generate"),
    CLIENT_CLICK_TO_CONNECT("client.connect.click"),
    CLIENT_HOVER_TO_CONNECT("client.connect.hover"),

    //Connection
    CLIENT_CONNECTION_EXISTS("client.connection.exists"),
    CLIENT_CONNECTION_OPEN("client.connection.open"),
    CLIENT_CONNECTION_CLOSED("client.connection.closed");

    private final String path;
    MessageKey(String path) {
        this.path = path;
    }

    /**
     * Get path to message
     * @return String
     */
    public String getPath() {
        return path;
    }

    /**
     * Get and color message from config
     * @return String
     */
    public String getMessage() {
        String msg = Text.color(ThemeParkConnector.getInstance().getAPI().getConfigurationManager().getString(StorageLocation.MESSAGE, path));
        if(this != MessageKey.PREFIX)
            msg = msg.replace("{prefix}", MessageKey.PREFIX.getMessage());

        return msg;
    }

    /**
     * Send message with color to Player
     * @param player Player
     */
    public void send(Player player) {
        player.sendMessage(getMessage());
    }

}
