package nl.iobyte.themeparkconnector.api.network.objects;

import nl.iobyte.themeparkconnector.api.client.ClientConnection;
import nl.iobyte.themeparkconnector.api.packet.objects.AbstractPacket;

public interface INetworkingEvent {

    /**
     * Event to call when packet is being send
     * @param client ClientConnection
     * @param packet AbstractPacket
     */
    default void onPacketSend(ClientConnection client, AbstractPacket packet) {}

    /**
     * Event to call when the client opens the connection
     * @param client ClientConnection
     */
    default void onClientOpen(ClientConnection client) {}

    /**
     * Event to call when the client closes the connection
     * @param client ClientConnection
     */
    default void onClientClose(ClientConnection client) {}

}
