package nl.iobyte.themeparkconnector.api.operator.adapter;

import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;
import nl.iobyte.themeparkconnector.api.operator.objects.panel.OperatorPanel;
import java.lang.reflect.Type;

public class OperatorPanelAdapter implements JsonSerializer<OperatorPanel> {

    /**
     * Serializes OperatorPanel to json
     * @param src OperatorPanel
     * @param typeOfSrc Type
     * @param context JsonSerializationContext
     * @return JsonElement
     */
    @Override
    public JsonElement serialize(OperatorPanel src, Type typeOfSrc, JsonSerializationContext context) {
        JsonObject result = new JsonObject();
        result.add("id", context.serialize(src.getID()));
        result.add("items", context.serialize(src.getItems().values()));

        return result;
    }

}
