package nl.iobyte.themeparkconnector.api.packet.objects;

public abstract class PayloadHandler<E> {

    /**
     * Handle incoming packet
     * @param packet AbstractPacket
     */
    @SuppressWarnings("unchecked cast")
    public void handle(AbstractPacket packet) {
        onReceive((E) packet.getData());
    }

    /**
     * Called when receiving payload
     * @param payload Class<E>
     */
    public abstract void onReceive(E payload);

}
