package nl.iobyte.themeparkconnector.api.state.objects;

public class AbstractState {

    private final String name, description;
    private final boolean canConnect, clientConnect;

    public AbstractState(String name, String description, boolean canConnect, boolean clientConnect) {
        this.name = name;
        this.description = description;
        this.canConnect = canConnect;
        this.clientConnect = clientConnect;
    }

    /**
     * Get state name
     * @return String
     */
    public String getType() {
        return name;
    }

    /**
     * Get description of state
     * @return String
     */
    public String getDescription() {
        return description;
    }

    /**
     * Get if server can connect
     * @return boolean
     */
    public boolean canConnect() {
        return canConnect;
    }

    /**
     * Get if client can connect
     * @return boolean
     */
    public boolean canClientConnect() {
        return clientConnect;
    }

}
